import argparse
import os
import sys

parser = argparse.ArgumentParser()
parser.add_argument("pcd")
args = parser.parse_args()

inputsize = os.stat(args.pcd)
if inputsize.st_size != 856:
	print("Invalid file size! File must be 856 bytes.")
	sys.exit()

with file(args.pcd, 'rb') as pcd_in:
	pcd = pcd_in.read()

with file('decchi.bin', 'r+b') as decchi_in:
	decchi_in.seek(0x00100150)
	decchi_in.write(pcd)